import { jsx } from "react/jsx-runtime";
import "react";
import { SchemaInitializerItem, useSchemaInitializer, useSchemaInitializerItem } from "../../application/index.mjs";
const G2PlotInitializer = ()=>{
    const itemConfig = useSchemaInitializerItem();
    const { insert } = useSchemaInitializer();
    return /*#__PURE__*/ jsx(SchemaInitializerItem, {
        ...itemConfig,
        onClick: ()=>{
            insert({
                ...itemConfig.schema
            });
        }
    });
};
export { G2PlotInitializer };
